Option Explicit On 

Imports System.Data.SqlClient

Public Class tracks
    Const SQL_QUERY = "select * from vw_Music_List where artist_name like '%"

    Dim _ConnectString As String = ""

    Property ConnectionString() As String
        Get
            Return _ConnectString
        End Get
        Set(ByVal Value As String)
            _ConnectString = Value
        End Set
    End Property


    Function Find(ByVal ArtistName As String) As SqlClient.SqlDataAdapter
        Dim con As SqlClient.SqlConnection
        Dim da As SqlClient.SqlDataAdapter

        con = New SqlClient.SqlConnection(_ConnectString)
        con.Open()

        da = New SqlDataAdapter(SQL_QUERY + ArtistName + "%'", con)

        Return da

    End Function

    Function ArtistExists(ByVal ArtistName As String) As Boolean
        Dim con As New SqlClient.SqlConnection(_ConnectString)
        Dim com As New SqlClient.SqlCommand()
        Dim prm As New SqlClient.SqlParameter()
        Dim lNumberOfRecords As Long

        con.Open()

        With com
            .Connection = con
            .CommandText = "sp_Artist_Exists"
            .CommandType = CommandType.StoredProcedure

            With prm
                .ParameterName = "@artist_name"
                .Value = ArtistName
                .DbType = DbType.String
                .Size = 100
            End With

            .Parameters.Add(prm)

            lNumberOfRecords = .ExecuteScalar()
        End With

        Return lNumberOfRecords > 0

    End Function

End Class
