Imports System
Imports NUnit.Framework

<TestFixture()> Public Class Tests
    Private oTest As MusicBiz.tracks

    Public Sub New()
        MyBase.New()
    End Sub

    <SetUp()> Public Sub Init()

        oTest = New MusicBiz.tracks()

    End Sub

    

    <Test()> Public Sub TestDixieChicks()
        Dim result As Boolean

        System.Console.WriteLine("Running TestDixieChicks()")

        With oTest
            .ConnectionString = "server=(local);uid=sa;database=moo"
            result = .ArtistExists("Dixie Chicks")

        End With



        Assertion.Assert("Failed to find Dixie Chicks!", result)

    End Sub

    <Test()> Public Sub TestBadArtist()
        Dim result As Boolean

        System.Console.WriteLine("Running TestBadArtist()")

        With oTest
            .ConnectionString = "server=(local);uid=sa;database=moo"
            result = Not .ArtistExists("Madonna")

        End With


        Assertion.Assert("Found Madonna - that must be wrong!", result)

    End Sub

End Class
